# MongoDB Charts Embedding SDK

The official JavaScript library for embedding MongoDB Charts into your application.

**Note: This library is under active development, and is not recommended for use in production instances before a 1.0.0 release**

For the existing approaches to support embedding charts, you can find the relevant documentation here: https://docs.mongodb.com/charts/master/embedding-charts/

## Installing

### General

1. Add the `@mongodb-js/charts-embed-dom` package

```bash
# yarn
yarn add @mongodb-js/charts-embed-dom

# npm
npm install @mongodb-js/charts-embed-dom --save
```

2. Use the package

```js
import ChartsEmbed from '@mongodb-js/charts-embed-dom';

const options = {
  baseUrl: 'https://charts.mongodb.com/example-project',
  tenantId: 'example-tenant-id',
  chartId: 'example-chart-id',
};
const chart = await ChartsEmbed.embedChart(options, document.body);

// Refresh a chart
chart.refresh();
```
